<?php
session_start();
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Sat, 1 Jan 2000 00:00:00 GMT");

if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== true) {
    header("Location: login.php");
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>License Form | Danta InfoP</title>
    <style>
        * {
            box-sizing: border-box;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        body {
            background: linear-gradient(135deg, #74ebd5, #acb6e5);
            margin: 0;
            padding: 0;
            min-height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .form-container {
            background-color: #ffffff;
            padding: 40px 50px;
            border-radius: 15px;
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
            max-width: 600px;
            width: 100%;
        }

        h2 {
            text-align: center;
            color: #2c3e50;
            margin-bottom: 30px;
        }

        label {
            display: block;
            margin: 12px 0 6px;
            color: #34495e;
            font-weight: 600;
        }

        input[type="text"],
        input[type="number"],
        input[type="date"],
        input[type="time"],
        textarea {
            width: 100%;
            padding: 10px 12px;
            border: 1px solid #ccc;
            border-radius: 8px;
            font-size: 15px;
        }

        textarea {
            resize: vertical;
        }

        input[type="submit"] {
            width: 100%;
            background-color: #3498db;
            color: white;
            border: none;
            padding: 12px;
            margin-top: 20px;
            border-radius: 8px;
            font-size: 16px;
            cursor: pointer;
            transition: background 0.3s ease;
        }

        input[type="submit"]:hover {
            background-color: #2980b9;
        }

        .logout-link {
            display: block;
            margin-top: 20px;
            text-align: center;
            color: #e74c3c;
            text-decoration: none;
            font-weight: bold;
            transition: color 0.3s ease;
        }

        .logout-link:hover {
            color: #c0392b;
        }
    </style>
</head>
<body>

<div class="form-container">
    <h2>Generate Encrypted License</h2>
    <form action="encrypt.php" method="post">
        <label for="text_to_encrypt">Text to Encrypt:</label>
        <textarea name="text_to_encrypt" rows="5" required></textarea>

        <label for="expiry_time">Expiry Time:</label>
        <input type="time" name="expiry_time" required>

        <label for="installation_amount">Installation Amount:</label>
        <input type="number" step="0.01" name="installation_amount" required>

        <label for="renewal_amount">Renewal Amount:</label>
        <input type="number" step="0.01" name="renewal_amount" required>

        <label for="renewal_date">Renewal Date:</label>
        <input type="date" name="renewal_date" required>

        <input type="submit" value="Submit & Encrypt">
    </form>

    <a class="logout-link" href="logout.php">Logout</a>
</div>

</body>
</html>



<!-- 

<!DOCTYPE html>
<html>
<head>
    <title>License Form</title>
</head>
<body>
    <form action="encrypt.php" method="post">
        <label for="text_to_encrypt">Text to Encrypt:</label><br>
        <textarea name="text_to_encrypt" rows="5" cols="50" required></textarea><br><br>

        <label for="expiry_time">Expiry Time:</label>
        <input type="time" name="expiry_time" required><br><br>

        <label for="installation_amount">Installation Amount:</label>
        <input type="number" step="0.01" name="installation_amount" required><br><br>

        <label for="renewal_amount">Renewal Amount:</label>
        <input type="number" step="0.01" name="renewal_amount" required><br><br>

        <label for="renewal_date">Renewal Date:</label>
        <input type="date" name="renewal_date" required><br><br>

        <input type="submit" value="Submit & Encrypt">
    </form>
    <a href="logout.php">Logout</a>
</body>
</html> -->

<!-- <!DOCTYPE html>
<html>
<head>
    <title>Encrypt Text</title>
</head>
<body>
    <h2>Enter Text to Encrypt</h2>
    <form action="encrypt.php" method="post">
        <label>Text:</label>
        <textarea name="encrypt_text" rows="10" cols="50" required></textarea>
        <br><br>
        <input type="submit" value="Encrypt">
    </form>
</body>
</html> -->

